Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
on_page
/
uncrawlable_resources
Uncrawlable Resources
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/on_page/uncrawlable_resources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "limit": 123,
  "offset": 123,
  "order_by": [
    "<string>"
  ],
  "filters": [
    "<string>"
  ]
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.crawl_progress": "<string>",
  "tasks.result.crawl_status": {},
  "tasks.result.crawl_status.max_crawl_pages": 123,
  "tasks.result.crawl_status.pages_in_queue": 123,
  "tasks.result.crawl_status.pages_crawled": 123,
  "tasks.result.total_items_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.url": "<string>",
  "tasks.result.items.reason": "<string>",
  "tasks.result.items.status_code": 123,
  "tasks.result.items.fetch_time": "<string>",
  "tasks.result.items.meta": {},
  "tasks.result.items.meta.content_type": "<string>",
  "tasks.result.items.meta.expected_content_types": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string
required

ID of the task required field you can get this ID in the response of the Task POST endpoint example: "07131248-1535-0216-1000-17384017ad04"

limit
integer

the maximum number of returned uncrawlable resources optional field default value: 100 maximum value: 1000

offset
integer

offset in the results array of returned uncrawlable resources optional field default value: 0 if you specify the 10 value, the first ten invalid resources in the results array will be omitted and the data will be provided for the successive invalid resources

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc - results will be sorted in the ascending order desc - results will be sorted in the descending order you should use a comma to set up a sorting type example: ["meta.content_type,desc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["meta.content_type,asc","fetch_time,desc"]

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, , , >, >=, =, , in, not_in, like, not_like you can use the % operator with like and not_like to match any string of zero or more characters example: [["meta.content_type","=","image/jpeg"], "and", ["url","not_like","%/help-center/%"]]The full list of possible filters is available by this link.

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.crawl_progress
string

status of the crawling session possible values: in_progress, finished

tasks.result.crawl_status
object

details of the crawling session

tasks.result.crawl_status.max_crawl_pages
integer

maximum number of pages to crawl indicates the max_crawl_pages limit you specified when setting a task

tasks.result.crawl_status.pages_in_queue
integer

number of pages that are currently in the crawling queue

tasks.result.crawl_status.pages_crawled
integer

number of crawled pages

tasks.result.total_items_count
integer

total number of uncrawlable resources found total number of uncrawlable resources found during the crawl of the target domain

tasks.result.items_count
integer

number of uncrawlable resources in the items array

tasks.result.items
string[]

array of uncrawlable resources

tasks.result.items.url
string

URL of the uncrawlable resource

tasks.result.items.reason
string

reason the resource is uncrawlable can take the following values: content_type_inconsistency

tasks.result.items.status_code
integer

HTTP response code returned by the uncrawlable resource possible values: 200

tasks.result.items.fetch_time
string

date and time when the resource was fetched in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2026-03-09 18:20:32 +00:00

tasks.result.items.meta
object

metadata of the uncrawlable resource

tasks.result.items.meta.content_type
string

actual content type of the resource

tasks.result.items.meta.expected_content_types
string[]

expected content types for the resource list of content types that were expected by the crawler based on how the resource is referenced on the page